<template>
  <div class="client-page">
    <button @click="back" class="home-button">Назад</button>
    <h1>Client</h1>

    <form class="information">
      <label for="name">Name:</label>
      <input v-model="name" type="text" id="name" placeholder="Name">

      <label for="email">Email:</label>
      <input v-model="email" type="email" id="email" placeholder="Email">

      <label for="tel">Phone number:</label>
      <input v-model="tel" type="tel" id="tel" placeholder="Phone number">

      <label for="pass">Password:</label>
      <input v-model="pass" type="password" id="pass" placeholder="Password">

      <button @click="save" class="save-button">Зберегти зміни</button>
      <button @click="logOut" class="logout-button">Вийти</button>
    </form>
  </div>
</template>

<script>
export default {
  name: "ClientPage",

  data() {
    return {
      name: null,
      email: null,
      tel: null,
      pass: null,
    };
  },

  mounted() {
    const client = JSON.parse(localStorage.getItem("client"));
    this.name = client.name;
    this.email = client.email;
    this.tel = client.tel;
    this.pass = client.pass;
  },

  methods: {
    save() {
      let clientsList = JSON.parse(localStorage.getItem("clients")) || [];
      let localClient = JSON.parse(localStorage.getItem("client"));
      let indexClient = clientsList.indexOf(localClient);

      let client = {
        name: this.name,
        email: this.email,
        tel: this.tel,
        pass: this.pass,
      };

      localStorage.setItem("client", JSON.stringify(client));
      clientsList.splice(indexClient, 1);
      clientsList.push(client);
      localStorage.setItem("clients", JSON.stringify(clientsList));
    },

    back() {
      this.$router.push("/");
    },

    logOut() {
      localStorage.removeItem("client");
      this.$router.push("/");
    },
  },
};
</script>

<style lang="css" scoped>
.client-page {
  max-width: 600px;
  margin: 0 auto;
  padding: 20px;
}

.home-button,
.save-button,
.logout-button {
  border-radius: 4px;
  cursor: pointer;
  transition: background-color 0.3s;
}

.home-button:hover,
.save-button:hover,
.logout-button:hover {
  background-color: #2c3e50;
  color: #fff;
}

.home-button {
  background-color: #3498db;
  color: #fff;
  padding: 8px 16px;
  margin-bottom: 20px;
  margin-right: 600px;
}

.information {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 16px;
}

label {
  font-weight: bold;
}

input {
  width: 100%;
  padding: 8px;
  margin-top: 4px;
  box-sizing: border-box;
}

.save-button,
.logout-button {
  background-color: #27ae60;
  color: #fff;
  padding: 8px 16px;
  margin-top: 20px;
}

.logout-button {
  background-color: #e74c3c;
}
</style>